## visad.bom
Class CollectiveBarbManipulation.CBarbManipulationRendererJ3D

    java.lang.Object
      visad.DataRenderer
          visad.java3d.RendererJ3D
              visad.java3d.DirectManipulationRendererJ3D
                  visad.bom.BarbManipulationRendererJ3D
                      visad.bom.CollectiveBarbManipulation.CBarbManipulationRendererJ3D

All Implemented Interfaces:
  BarbRenderer, Cloneable

Enclosing class:
  CollectiveBarbManipulation

class CollectiveBarbManipulation.CBarbManipulationRendererJ3D
extends BarbManipulationRendererJ3D

Field Summary
`(package private) CollectiveBarbManipulation` `cbm`
`(package private) int` `index`

Fields inherited from class visad.bom.BarbManipulationRendererJ3D
`N`

Fields inherited from class visad.java3d.DirectManipulationRendererJ3D
``

Fields inherited from class visad.java3d.RendererJ3D
``

Fields inherited from class visad.DataRenderer
`enabled, pickCrawlToCursor`

Constructor Summary
`(package private)` `CollectiveBarbManipulation.CBarbManipulationRendererJ3D(CollectiveBarbManipulation c, int i)`

Method Summary
`void` `drag_direct(VisADRay ray, boolean first, int mouseModifiers)` modify Data values based on direct manipulation mouse actions
`void` `release_direct()` mouse button released, ending direct manipulation

Methods inherited from class visad.bom.BarbManipulationRendererJ3D
`addPoint, checkClose, checkDirect, clone, getKnotsConvert, getNoNumbers, getNumDecPlaces, getWhyNotDirect, main, makeShadowFunctionType, makeShadowRealTupleType, makeShadowRealType, makeShadowSetType, makeShadowTupleType, makeVector, setKnotsConvert, setNoNumbers, setNumDecPlaces, setSpatialValues, setVectorSpatialValues, stop_direct`

Methods inherited from class visad.java3d.DirectManipulationRendererJ3D
`clearScene, doTransform, isLegalTextureMap, setBranch, setLinks`

Methods inherited from class visad.java3d.RendererJ3D
`clearBranch, doAction, flush, getBranch, makeShadowTextType, setBranchEarly, toggle`

Methods inherited from class visad.DataRenderer

`addException, checkAction, clearAVControls, clearExceptions, computeRanges, earthToSpatial, earthToSpatial, findRayManifoldIntersection, get_all_feasible, get_any_changed, get_any_transform_control, getBadScale, getDisplay, getDisplayCoordinateSystem, getDisplayRenderer, getEarthDimension, getEarthUnits, getEnabled, getExceptionVector, getIsDirectManipulation, getLastMouseModifiers, getLatLonIndices, getLatLonRange, getLink, getLinks, getPickCrawlToCursor, getRanges, getRealVectorTypes, isTransformControl, prepareAction, realCheckDirect, removeLink, set_all_feasible, setDisplay, setDisplayRenderer, setEarthSpatialData, setEarthSpatialDisplay, setIsDirectManipulation, setLastMouseModifiers, setLatLonIndices, setLinks, setPickCrawlToCursor, spatialToEarth, spatialToEarth, suppressExceptions`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cbm

    CollectiveBarbManipulation cbm

### index

    int index

Constructor Detail

### CollectiveBarbManipulation.CBarbManipulationRendererJ3D

    CollectiveBarbManipulation.CBarbManipulationRendererJ3D(CollectiveBarbManipulation c,
                                                            int i)

Method Detail

### release_direct

    public void release_direct()

  mouse button released, ending direct manipulation

  Overrides:
    `release_direct` in class `BarbManipulationRendererJ3D`

### drag_direct

    public void drag_direct(VisADRay ray,
                            boolean first,
                            int mouseModifiers)

  Description copied from class: `DataRenderer`
  modify Data values based on direct manipulation mouse actions

  Overrides:
    `drag_direct` in class `BarbManipulationRendererJ3D`